package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Gjj_Service;
import org.springframework.beans.factory.annotation.Autowired;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
public class Guiji_Gjj_Select extends BaseApi {

    @Autowired
    Guiji_Gjj_Service guiji_gjj_service;

    @POST
    @Path("/selectTgjjGrxxList_select_grxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjGrxxList_select_grxx(TgjjGrxx tgjjGrxx){
        ResultModel r = guiji_gjj_service.selectTgjjGrxxList_select_grxx(tgjjGrxx);
        return r;
    }

    @POST
    @Path("/selectTgjjGrzhxxList_select_grzhxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjGrzhxxList_select_grzhxx(TgjjGrzhxx tgjjGrzhxx){
        ResultModel r = guiji_gjj_service.selectTgjjGrzhxxList_select_grzhxx(tgjjGrzhxx);
        return r;
    }

    @POST
    @Path("/selectTgjjDkxxList_select_grdkxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjDkxxList_select_grdkxx(TgjjDkxx tgjjDkxx){
        ResultModel r = guiji_gjj_service.selectTgjjDkxxList_select_grdkxx(tgjjDkxx);
        return r;
    }
    @POST
    @Path("/selectTgjjGrdkzhxxList_select_grdkzhxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjGrdkzhxxList_select_grdkzhxx(TgjjGrdkzhxx tgjjGrdkzhxx) {
        ResultModel r = guiji_gjj_service.selectTgjjGrdkzhxxList_select_grdkzhxx(tgjjGrdkzhxx);
        return r;
    }
    @POST
    @Path("/selectTgjjGrdkzhbdxxList_select_grdkbdxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjGrdkzhbdxxList_select_grdkbdxx(TgjjGrdkzhbdxx tgjjGrdkzhbdxx) {
        ResultModel r = guiji_gjj_service.selectTgjjGrdkzhbdxxList_select_grdkbdxx(tgjjGrdkzhbdxx);
        return r;
    }

    @POST
    @Path("/selectTgjjGrdkyqxxList_select_grdkyqfw")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjGrdkyqxxList_select_grdkyqfw(TgjjGrdkyqxx tgjjGrdkyqxx) {
        ResultModel r = guiji_gjj_service.selectTgjjGrdkyqxxList_select_grdkyqfw(tgjjGrdkyqxx);
        return r;
    }
    @POST
    @Path("/selectTgjjGrckzhbdxxList_select_grckbdfw")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjGrckzhbdxxList_select_grckbdfw(TgjjGrckzhbdxx tgjjGrckzhbdxx) {
        ResultModel r = guiji_gjj_service.selectTgjjGrckzhbdxxList_select_grckbdfw(tgjjGrckzhbdxx);
        return r;
    }

    @POST
    @Path("/selectTgjjDwxxList_select_dwxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjDwxxList_select_dwxx(TgjjDwxx tgjjDwxx) {
        ResultModel r = guiji_gjj_service.selectTgjjDwxxList_select_dwxx(tgjjDwxx);
        return r;
    }
    @POST
    @Path("/selectTgjjDwzhxxList_select_dwzhxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjDwzhxxList_select_dwzhxx(TgjjDwzhxx tgjjDwzhxx){
        ResultModel r = guiji_gjj_service.selectTgjjDwzhxxList_select_dwzhxx(tgjjDwzhxx);
        return r;
    }
    @POST
    @Path("/selectTgjjDwckzhbdxxList_select_dwckbd")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjDwckzhbdxxList_select_dwckbd(TgjjDwckzhbdxx tgjjDwckzhbdxx){
        ResultModel r = guiji_gjj_service.selectTgjjDwckzhbdxxList_select_dwckbd(tgjjDwckzhbdxx);
        return r;
    }
    @POST
    @Path("/selectTgjjBsxxList_select_bsxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjBsxxList_select_bsxx(TgjjBsxx tgjjBsxx) {
        ResultModel r = guiji_gjj_service.selectTgjjBsxxList_select_bsxx(tgjjBsxx);
        return r;
    }
    @POST
    @Path("/selectTgjjHmdxxList_select_hmdxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjHmdxxList_select_hmdxx(TgjjHmdxx tgjjHmdxx) {
        ResultModel r = guiji_gjj_service.selectTgjjHmdxxList_select_hmdxx(tgjjHmdxx);
        return r;
    }
    @POST
    @Path("/selectTgjjZcxxList_select_zcxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjZcxxList_select_zcxx(TgjjZcxx tgjjZcxx) {
        ResultModel r = guiji_gjj_service.selectTgjjZcxxList_select_zcxx(tgjjZcxx);
        return r;
    }
    @POST
    @Path("/selectTgjjGtjkrxxList_select_gtjkrxx")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel selectTgjjGtjkrxxList_select_gtjkrxx(TgjjGtjkrxx tgjjGtjkrxx) {
        ResultModel r = guiji_gjj_service.selectTgjjGtjkrxxList_select_gtjkrxx(tgjjGtjkrxx);
        return r;
    }

}
