package com.sooka.api;


import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.service.Guiji_Housingconstruction_Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling
public class Guiji_Hlw_Test extends BaseApi {

    @Autowired
    Guiji_Housingconstruction_Service guiji_housingconstruction_service;


    //互联网测试
    @POST
    @Path("/hlw_test")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel yhjbxx(String str) {
        System.out.println("hlw_test:" + str);
        ResultModel r = new ResultModel();
        try {
            r.setCode(00000);
            r.setMessage("成功");
        } catch (Exception e) {
            r.setCode(99999);
            r.setMessage("失败" + e.getMessage());
        }
        return r;
    }
}
