package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.TestVO;

import com.sooka.service.TestService;
import org.springframework.beans.factory.annotation.Autowired;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

//@Path("/")
public class Sfz_Api extends BaseApi {

    @Autowired
    TestService testService;

    @GET
    @Path("/sfz")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel test(TestVO vo){
        return testService.sfz(vo);
    }

}
