package com.sooka.api_sp.province_1_labor_contract.controller;

import com.sooka.api_sp.province_1_labor_contract.domain.SP_7_QsWszInfo_VO;
import com.sooka.api_sp.province_1_labor_contract.service.SP_LaborContract_Service;
import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import org.springframework.beans.factory.annotation.Autowired;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

/**
 * second phase 契税完税证-数据查询接口 参数
 */
@Path("/")
public class SP_7_QsWszInfo_Api extends BaseApi {

    @Autowired
    SP_LaborContract_Service service;

    @POST
    @Path("/getQsWszInfo")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel QsWszInfo(SP_7_QsWszInfo_VO vo){
        return service.getQsWszInfo(vo);
    }



}
