package com.sooka.api_sp.province_1_labor_contract.domain;

import com.google.gson.annotations.Expose;
import com.sooka.model.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;

/**
 * 吉林省不动产权证查询接口 参数
 */

@Getter
@Setter
public class SP_11_DataNew_VO extends BaseVO {

    //pageSize
    @Expose
    private String size;
    //pageNum
    @Expose
    private String page;

    //姓名
    @Expose
    private String obligeeName;

    //身份证号码
    @Expose
    private String obligeeNameIdCardNo;

//    入参参数
//    obligeeName-姓名
//    obligeeNameIdCardNo-证件号
//----------------------------------
//    响应体参数
//    返回参数
//    registrationInstitution-登记机构
//    registrationTime-登记时间
//    immovablesCertNum-不动产权证号
//    obligee-权利人
//    commonCondition-共有情况
//    location-坐落
//    immovablesUnitNum-不动产单元号
//    rightType-权利类型
//    rightNature-权利性质
//    purpose-用途
//    measureArea-面积
//    serviceLife	-使用期限
}
