package com.sooka.api_sp.province_1_labor_contract.domain;

import com.google.gson.annotations.Expose;
import com.sooka.model.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;

/**
 * 婚姻登记信息-数据查询接口 参数
 */

@Getter
@Setter
public class SP_9_Api_1680488576658_VO extends BaseVO {

    //pageSize
    @Expose
    private String size;
    //pageNum
    @Expose
    private String page;

    //男方姓名
    @Expose
    private String NAME_MAN;

    //女方姓名
    @Expose
    private String NAME_WOMAN;

    //男方身份证号码
    @Expose
    private String CERT_NUM_MAN;

    //女方身份证号码
    @Expose
    private String CERT_NUM_WOMAN;



//    NAME_MAN-男方姓名
//    NAME_WOMAN-女方姓名
//    CERT_NUM_MAN-男方身份证号码
//    CERT_NUM_WOMAN-女方身份证号码
//----------------------------------
//    响应体参数
//    OP_TYPE 婚姻状态
//    DEPT_NAME 登记单位名称
//    NAME_MAN 男方姓名
//    NAME_WOMAN 女方姓名
//    CERT_NUM_MAN 男方身份证号码
//    CERT_NUM_WOMAN 女方身份证号码
//    OP_DATE 登记日期
}
