package com.sooka.model.bo;

import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;

//归集-燃气-抄表信息
@Getter
@Setter
public class Guiji_gas4_Zenner_meter_reading_infor_Bean extends BaseBean_Guiji {

    String str;
    @Expose
    String GUID;//GUID
    @Expose
    String VC_WCB_USERGUID;//用户GUID
    @Expose
    String VC_WCB_METERGUID;//气表GUID
    @Expose
    String VC_WCB_PERSON;//操作人员
    @Expose
    String D_WCB_OPDATE;//操作时间
    @Expose
    String N_WCB_USED;//累计用气量
    @Expose
    String N_WCB_HEJI;//累计用气量
    @Expose
    String N_WCB_HEJIEX;//计算气量（本次使用气量对比表免费气量）
    @Expose
    String N_WCB_LEAVE;//剩余气量|金额
    @Expose
    String N_WCB_BUY;//总购气量|金额
    @Expose
    String N_WCB_TOTALBUY;//总购气量|金额
    @Expose
    String N_WCB_PRICE;//单价
    @Expose
    String I_WCB_BUYCOUNT;//无线充值次数
    @Expose
    String I_WCB_WLBUYCOUNT;//无线充值次数
    @Expose
    String VC_WCB_REMOTECLOSEVALVE;//是否远程关阀
    @Expose
    String VC_WCB_REVEAL;//是否泄漏
    @Expose
    String VC_WCB_COMMUNICATEBAD;//通讯故障
    @Expose
    String VC_WCB_MAGNETICDISTURBANCE;//磁干扰
    @Expose
    String VC_WCB_VALVESTATE;//阀门状态
    @Expose
    String VC_WCB_BATTERY;//电池电量高低
    @Expose
    String VC_WCB_FLOW;//是否过流
    @Expose
    String VC_WCB_BATTERYPER;//电池百分比
    @Expose
    String VC_WCB_BATTERYMILL;//电池电压（外电干电池）
    @Expose
    String VC_WCB_SPAREBATTERYMILL;//备用电池电压（内电锂电池）
    @Expose
    String VC_WCB_ADDRESS;//地址
    @Expose
    String VC_WCB_CODE;//条形码
    @Expose
    String VC_WCB_VALVEERR;//阀门故障
    @Expose
    String VC_WCB_ARREARSCLOSEVALUE;//欠费关阀（0-正常 1-欠费关阀）
    @Expose
    String VC_WCB_INNERBATERR;//内电低电
    @Expose
    String VC_WCB_DIE;//死表故障
    @Expose
    String VC_WCB_TILT;//倾斜故障
    @Expose
    String VC_WCB_MONTHVALUE;//月冻结气量
    @Expose
    String EXECE_DATE;//执行日期
    @Expose
    String EXECE_STATE;//执行状态
    @Expose
    String VC_WCB_USEDATE;//用气日期YYYYMMDD
    @Expose
    String VC_WCB_USERNAME;//用户名称
    @Expose
    String VC_WCB_ALARMVALUE;//报警气量
    @Expose
    String VC_WCB_SIGNALINTENSITY;//信号强度
    @Expose
    String I_WCB_REPORTCOUNT;//上报次数
    @Expose
    String N_WCB_JTNUM1;//第1阶梯数量
    @Expose
    String N_WCB_JTPRICE1;//第1阶梯单价
    @Expose
    String N_WCB_JTAMOUNT1;//第1阶梯金额
    @Expose
    String N_WCB_JTNUM2;//第2阶梯数量
    @Expose
    String N_WCB_JTPRICE2;//第2阶梯单价
    @Expose
    String N_WCB_JTAMOUNT2;//第2阶梯金额
    @Expose
    String N_WCB_JTNUM3;//第3阶梯数量
    @Expose
    String N_WCB_JTPRICE3;//第3阶梯单价
    @Expose
    String N_WCB_JTAMOUNT3;//第3阶梯金额
    @Expose
    String N_WCB_JTNUM4;//第1阶梯数量
    @Expose
    String N_WCB_JTPRICE4;//第1阶梯单价
    @Expose
    String N_WCB_JTAMOUNT4;//第1阶梯金额
    @Expose
    String N_WCB_JTNUM5;//第2阶梯数量
    @Expose
    String N_WCB_JTPRICE5;//第2阶梯单价
    @Expose
    String N_WCB_JTAMOUNT5;//第2阶梯金额
    @Expose
    String N_WCB_JTNUM6;//第3阶梯数量
    @Expose
    String N_WCB_JTPRICE6;//第3阶梯单价
    @Expose
    String N_WCB_JTAMOUNT6;//第3阶梯金额

//    GUID, VC_WCB_USERGUID, VC_WCB_METERGUID, VC_WCB_PERSON, D_WCB_OPDATE, N_WCB_USED, N_WCB_HEJI, N_WCB_HEJIEX, N_WCB_LEAVE, N_WCB_BUY, N_WCB_TOTALBUY, N_WCB_PRICE, I_WCB_BUYCOUNT, I_WCB_WLBUYCOUNT, VC_WCB_REMOTECLOSEVALVE, VC_WCB_REVEAL, VC_WCB_COMMUNICATEBAD, VC_WCB_MAGNETICDISTURBANCE, VC_WCB_VALVESTATE, VC_WCB_BATTERY, VC_WCB_FLOW, VC_WCB_BATTERYPER, VC_WCB_BATTERYMILL, VC_WCB_SPAREBATTERYMILL, VC_WCB_ADDRESS, VC_WCB_CODE, VC_WCB_VALVEERR, VC_WCB_ARREARSCLOSEVALUE, VC_WCB_INNERBATERR, VC_WCB_DIE, VC_WCB_TILT, VC_WCB_MONTHVALUE, EXECE_DATE, EXECE_STATE, VC_WCB_USEDATE, VC_WCB_USERNAME, VC_WCB_ALARMVALUE, VC_WCB_SIGNALINTENSITY, I_WCB_REPORTCOUNT, N_WCB_JTNUM1, N_WCB_JTPRICE1, N_WCB_JTAMOUNT1, N_WCB_JTNUM2, N_WCB_JTPRICE2, N_WCB_JTAMOUNT2, N_WCB_JTNUM3, N_WCB_JTPRICE3, N_WCB_JTAMOUNT3, N_WCB_JTNUM4, N_WCB_JTPRICE4, N_WCB_JTAMOUNT4, N_WCB_JTNUM5, N_WCB_JTPRICE5, N_WCB_JTAMOUNT5, N_WCB_JTNUM6, N_WCB_JTPRICE6, N_WCB_JTAMOUNT6
}
