package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.Esb2xy_getNcpSuspectedDiagnosis_VO;
import com.sooka.service.Esb2xy_getNcpSuspectedDiagnosis_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

import com.sooka.model.vo.Esb2xy_getNcpSuspectedDiagnosis_VO;

@Service
public class Esb2xy_getNcpSuspectedDiagnosis_ServiceImpl extends ABaseService implements Esb2xy_getNcpSuspectedDiagnosis_Service {
    @Override
    public ResultModel getEsb2xy_getNcpSuspectedDiagnosis(Esb2xy_getNcpSuspectedDiagnosis_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        try {
            result = HttpUtil2.doPost(baseurl + "", str, header);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(result);
    }

    public static void main(String[] args) {
        Esb2xy_getNcpSuspectedDiagnosis_ServiceImpl s = new Esb2xy_getNcpSuspectedDiagnosis_ServiceImpl();
        Esb2xy_getNcpSuspectedDiagnosis_VO v = new Esb2xy_getNcpSuspectedDiagnosis_VO();
        ResultModel r = s.getEsb2xy_getNcpSuspectedDiagnosis(v);
        System.out.println(r);
    }
}
