package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.GetCegnirEnterpriseCerditRating_VO;
import com.sooka.service.GetCegnirEnterpriseCerditRating_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

import com.sooka.model.vo.GetCegnirEnterpriseCerditRating_VO;

@Service
public class GetCegnirEnterpriseCerditRating_ServiceImpl extends ABaseService implements GetCegnirEnterpriseCerditRating_Service {
    @Override
    public ResultModel getGetCegnirEnterpriseCerditRating(GetCegnirEnterpriseCerditRating_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        try {
            result = HttpUtil2.doPost(baseurl + "", str, header);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(result);
    }

    public static void main(String[] args) {
        GetCegnirEnterpriseCerditRating_ServiceImpl s = new GetCegnirEnterpriseCerditRating_ServiceImpl();
        GetCegnirEnterpriseCerditRating_VO v = new GetCegnirEnterpriseCerditRating_VO();
        ResultModel r = s.getGetCegnirEnterpriseCerditRating(v);
        System.out.println(r);
    }
}
