package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.GetEnterprisePopularFeelings_VO;
import com.sooka.service.GetEnterprisePopularFeelings_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

import com.sooka.model.vo.GetEnterprisePopularFeelings_VO;

@Service
public class GetEnterprisePopularFeelings_ServiceImpl extends ABaseService implements GetEnterprisePopularFeelings_Service {
    @Override
    public ResultModel getGetEnterprisePopularFeelings(GetEnterprisePopularFeelings_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        try {
            result = HttpUtil2.doPost(baseurl + "", str, header);
//            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(result);
    }

    public static void main(String[] args) {
        GetEnterprisePopularFeelings_ServiceImpl s = new GetEnterprisePopularFeelings_ServiceImpl();
        GetEnterprisePopularFeelings_VO v = new GetEnterprisePopularFeelings_VO();
        ResultModel r = s.getGetEnterprisePopularFeelings(v);
//        System.out.println(r);
    }
}
