package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.GetSwDjz1Info_VO;
import com.sooka.service.GetSwDjz1Info_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

import com.sooka.model.vo.GetSwDjz1Info_VO;

@Service
public class GetSwDjz1Info_ServiceImpl extends ABaseService implements GetSwDjz1Info_Service {
    @Override
    public ResultModel getGetSwDjz1Info(GetSwDjz1Info_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        try {
            result = HttpUtil2.doPost(baseurl + "", str, header);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(result);
    }

    public static void main(String[] args) {
        GetSwDjz1Info_ServiceImpl s = new GetSwDjz1Info_ServiceImpl();
        GetSwDjz1Info_VO v = new GetSwDjz1Info_VO();
        ResultModel r = s.getGetSwDjz1Info(v);
        System.out.println(r);
    }
}
