package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.GetSwzsxx1_VO;
import com.sooka.service.GetSwzsxx1_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

import com.sooka.model.vo.GetSwzsxx1_VO;

@Service
public class GetSwzsxx1_ServiceImpl extends ABaseService implements GetSwzsxx1_Service {
    @Override
    public ResultModel getGetSwzsxx1(GetSwzsxx1_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        try {
            result = HttpUtil2.doPost(baseurl + "", str, header);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(result);
    }

    public static void main(String[] args) {
        GetSwzsxx1_ServiceImpl s = new GetSwzsxx1_ServiceImpl();
        GetSwzsxx1_VO v = new GetSwzsxx1_VO();
        ResultModel r = s.getGetSwzsxx1(v);
        System.out.println(r);
    }
}
