package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.Portraitandbrief_VO;
import com.sooka.service.Portraitandbrief_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

import com.sooka.model.vo.Portraitandbrief_VO;

@Service
public class Portraitandbrief_ServiceImpl extends ABaseService implements Portraitandbrief_Service {
    @Override
    public ResultModel getPortraitandbrief(Portraitandbrief_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        try {
            result = HttpUtil2.doPost(baseurl + "", str, header);
            System.out.println(result);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(result);
    }

    public static void main(String[] args) {
        Portraitandbrief_ServiceImpl s = new Portraitandbrief_ServiceImpl();
        Portraitandbrief_VO v = new Portraitandbrief_VO();
        ResultModel r = s.getPortraitandbrief(v);
        System.out.println(r);
    }
}
