package com.sooka.utils;

import com.alibaba.fastjson.JSONObject;

import java.io.*;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

public class TokenUtil_SP {

    public static Map map = new HashMap();

    public static void init(){
        map.put("Authorization-Type", "Oauth2");
        map.put("Service-Id", "ILzsKg");
    }

    static String tokenFilePath ="D:\\temp\\thsjzt_token\\token.txt";
    public static String getToken() {
        init();
        File f = new File(tokenFilePath);
        if(!f.exists()){
            try {
                f.createNewFile();
                BufferedWriter bw = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(tokenFilePath)));
                bw.write(String.valueOf(new Date().getTime()));
                bw.newLine();
                String token = makeNewToken();
                bw.write(token);
                bw.flush();
                bw.close();
                return token;
            } catch (Exception e) {
                e.printStackTrace();
            }
        }else{
            try {
                BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(tokenFilePath)));
                String time = br.readLine();
                Long t = Long.parseLong(time);
                Long n = new Date().getTime();
                if( (n - t) > 23*60*60*1000){
                    //过期,重新拿token
                    String token = makeNewToken();
                    BufferedWriter bw = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(tokenFilePath)));
                    bw.write(String.valueOf(new Date().getTime()));
                    bw.newLine();
                    bw.write(makeNewToken());
                    bw.flush();
                    bw.close();
                    return token;
                }else{
                    String token = br.readLine();
                    return token;
                }

            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return null;
    }

    public static String makeNewToken(){
        String r = "";
        String token = "";
        try {
            map.put("Content-type","application/x-www-form-urlencoded");
            String parma = "client_id=8b1baac0-05a9-2c86-40f4-a496a4f5d151&client_secret=ea42d381d9bf4ed2bd606ed41644c7a9&grant_type=client_credentials&scope=token";
            r = HttpUtil2.doPost("https://gateway.zsj.jl.cegn.cn/oauth2/token", parma, map);
            if (r != null && !r.equals("")) {
                JSONObject jsonObject = JSONObject.parseObject(r);
                token = jsonObject.getString("access_token");
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return token;
    }




    public static void main(String[] args) {
        String r = TokenUtil_SP.getToken();
        System.out.println(r);
    }

}
