package com.sooka.model.db;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;

/******************************
 * 吉祥码
 * @author yanhongliang
 * @date 2020-07-09 10:04
 ******************************/

@Table(name = "int_detailed")
@Getter
@Setter
public class IntDetailed {

    @Id
    private String id;

    /** 接口编码 */
    @Column
    private String intCode;

    /** 记录表id */
    @Column
    private String recordId;

    /** 接口表id */
    @Column
    private String intId;

    /** 开始时间 */
//    @Column
//    private String strAt;

    /** 结束时间 */
//    @Column
//    private String endAt;

    /** secret_key */
    @Column
    private String secretKey;

    /** 状态 */
//    @Column
//    private String status;

    @Override
    public String toString() {
        return "IntDetailed{" +
                "id='" + id + '\'' +
                ", recordId='" + recordId + '\'' +
                ", intId='" + intId + '\'' +
//                ", strAt='" + strAt + '\'' +
//                ", endAt='" + endAt + '\'' +
                ", secretKey='" + secretKey + '\'' +
//                ", status='" + status + '\'' +
                '}';
    }
}