package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.service.Guiji_civiladministration_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

//民政
@Path("/")
public class Guiji_civiladministration extends BaseApi {

    @Autowired
    Guiji_civiladministration_Service guiji_civiladministration_service;

    //逝者信息数据
    @POST
    @Path("/guiji_civiladministration_szxxsj")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel szxxsj(String str) {
        System.out.println("szxxsj:" + str);
        ResultModel r = new ResultModel();
        try{
            HttpUtil.doPost(forward_url + "/api/guiji_civiladministration_szxxsj_forward", str,null);
            r.setCode(0);
            r.setMessage("成功");
        }catch (Exception e){
            r.setCode(99999);
            r.setMessage("失败"+e.getMessage());
        }
        return r;
    }
    //逝者信息数据
    @POST
    @Path("/guiji_civiladministration_szxxsj_forward")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel szxxsj_forward(String str) {
        System.out.println("szxxsj_forward:" + str);
        ResultModel r = guiji_civiladministration_service.add_guiji_civiladministration_szxxsj(str);
        return r;
    }
}
