package com.sooka.api;

import com.sooka.base.BaseApi;
import com.sooka.model.ResultModel;
import com.sooka.model.vo.PeoplemarryInfodouble_VO;
import com.sooka.model.vo.PeoplemarryInfosingle_VO;
import com.sooka.service.PeoplemarryInfodouble_Service;
import com.sooka.service.PeoplemarryInfosingle_Service;
import org.springframework.beans.factory.annotation.Autowired;

import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("/")
public class PeoplemarryInfodouble_Api extends BaseApi {

    @Autowired
    PeoplemarryInfodouble_Service peoplemarryInfodouble_service;

    @POST
    @Path("/peoplemarryInfodouble")
    // 指定请求与返回的相应体为JSON
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public ResultModel peoplemarryInfodouble(PeoplemarryInfodouble_VO vo){
        return peoplemarryInfodouble_service.getPeoplemarryInfodouble(vo);
    }

}
