package com.sooka.api_sp.province_1_labor_contract.domain;

import com.google.gson.annotations.Expose;
import com.sooka.model.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;

/**
 * 吉林省-企业登记基本信息 参数
 */

@Getter
@Setter
public class SP_6_EBaseinfos_VO extends BaseVO {

    //pageSize
    @Expose
    private String size;
    //pageNum
    @Expose
    private String page;

    //统一社会信用代码
    @Expose
    private String uniscid;

    //企业名称
    @Expose
    private String entName;

//    code String 返回码
//    message String 返回信息
//    data Array 详细信息
//    uniscid String 统一社会信用代码
//    entName String 名称
//    entTypeCn String 类型
//    name String 法人
//    opScope String 经营范围
//    regCap Integer 注册资本
//    estDate Date 成立日期
//    opFrom Date 经营(驻在)期限自
//    opto Date 经营(驻在)期限至
//    dom String 住所
//    regOrgCn String 登记机关
//    regStateCn String 登记状态



}
