package com.sooka.api_sp.province_1_labor_contract.domain;

import com.google.gson.annotations.Expose;
import com.sooka.model.vo.BaseVO;
import lombok.Getter;
import lombok.Setter;

/**
 * 发票信息验证查询-数据查询接口 参数
 */

@Getter
@Setter
public class SP_8_Fpxxxx_VO extends BaseVO {

    //pageSize
    @Expose
    private String size;
    //pageNum
    @Expose
    private String page;

    //发票代码
    @Expose
    private String fpdm;

    //发票号码
    @Expose
    private String fphm;

    //开票日期,格式为yyyymmdd
    @Expose
    private String kprq;

    //金额不含税
    @Expose
    private String je;

//    fpdm 发票代码
//    fphm 发票号码
//    kprq 开票日期
//    jym 校验码
//    gfmc 购方名称
//    gfsbh 购方识别号
//    je 金额不含税
//    slv 税率
//    se 税额
//    jshj 价税合计
//    xfmc 销方名称
//    xfsbh 销方识别号
//    bz 备注
//    gmfdzdh 购买方地址电话
//    gmfyhzh 购买方银行账户
//    xsfdzdh 销售方地址电话
//    xsfyhzh 销售方银行账户

}
