package com.sooka.base;

import com.alibaba.fastjson.JSON;

import com.alibaba.fastjson.JSONObject;

import com.sooka.model.ResultModel;
import com.sooka.model.bo.BaseBean_Guiji;
import com.sooka.model.bo.Guiji_library_baseinfo_Bean;
import com.sooka.model.bo.TUInterfaceinfo;
import com.sooka.model.bo.TULog;
import com.sooka.network.http.HttpRequest;
import com.sooka.system.mapper.TUInterfaceinfoMapper;
import com.sooka.system.mapper.TULogMapper;
import com.sooka.utils.HttpUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.UUID;

@Service
public class BaseService {


    public BaseGuijiBean getBaseGuiji(String str) {
        BaseGuijiBean bean = new BaseGuijiBean();
        JSONObject jsonObject = JSON.parseObject(str);
        bean.setId(jsonObject.getString("id"));
        bean.setCd_time(jsonObject.getString("cd_time"));
        bean.setCd_batch(jsonObject.getString("cd_batch"));
        bean.setCd_operation(jsonObject.getString("cd_operation"));
        bean.setCd_source(jsonObject.getString("cd_source"));
        bean.setData(jsonObject.getJSONObject("Data"));
        return bean;
    }


    public ResultModel getResultModel() {
        return new ResultModel();
    }

    public BaseBean_Guiji initBaseGuijiBean(String str, BaseBean_Guiji bean){
        JSONObject jsonObject = JSON.parseObject(str);
        bean.setId(jsonObject.getString("id"));
        bean.setCd_time(jsonObject.getString("cd_time"));
        bean.setCd_batch(jsonObject.getString("cd_batch"));
        bean.setCd_operation(jsonObject.getString("cd_operation"));
        bean.setCd_source(jsonObject.getString("cd_source"));
        JSONObject Data = jsonObject.getJSONObject("Data");
        bean.setData(Data);
        return bean;
    }

    public final String check_required ="为必填项";
    public final String check_one_required ="不能同时为空";



}
