package com.sooka.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.sooka.model.bo.*;
import org.apache.ibatis.annotations.Mapper;

@Mapper
@DS("db1")
public interface Guiji_City_Real_Estate_Mapper {

    public void add_guiji_real_estate_housing_initial(Guiji_City_Real_Estate1_housing_initial_Bean bean);
    public void update_guiji_real_estate_housing_initial(Guiji_City_Real_Estate1_housing_initial_Bean bean);
    
    public void add_guiji_real_estate_housing_stock(Guiji_City_Real_Estate2_housing_stock_Bean bean);
    public void update_guiji_real_estate_housing_stock(Guiji_City_Real_Estate2_housing_stock_Bean bean);
    
    public void add_guiji_real_estate_housing_commercial(Guiji_City_Real_Estate3_housing_commercial_Bean bean);
    public void update_guiji_real_estate_housing_commercial(Guiji_City_Real_Estate3_housing_commercial_Bean bean);
    
    public void add_guiji_real_estate_housing_relocation(Guiji_City_Real_Estate4_housing_relocation_Bean bean);
    public void update_guiji_real_estate_housing_relocation(Guiji_City_Real_Estate4_housing_relocation_Bean bean);
    
    public void add_guiji_real_estate_mortgage_general(Guiji_City_Real_Estate5_mortgage_general_Bean bean);
    public void update_guiji_real_estate_mortgage_general(Guiji_City_Real_Estate5_mortgage_general_Bean bean);
    
    public void add_guiji_real_estate_mortgage_business(Guiji_City_Real_Estate6_mortgage_business_Bean bean);
    public void update_guiji_real_estate_mortgage_business(Guiji_City_Real_Estate6_mortgage_business_Bean bean);
    
    public void add_guiji_real_estate_mortgage_construction(Guiji_City_Real_Estate7_mortgage_construction_Bean bean);
    public void update_guiji_real_estate_mortgage_construction(Guiji_City_Real_Estate7_mortgage_construction_Bean bean);
    
    public void add_guiji_real_estate_mortgage_change(Guiji_City_Real_Estate8_mortgage_change_Bean bean);
    public void update_guiji_real_estate_mortgage_change(Guiji_City_Real_Estate8_mortgage_change_Bean bean);
    
    public void add_guiji_real_estate_mortgage_cancel(Guiji_City_Real_Estate9_mortgage_cancel_Bean bean);
    public void update_guiji_real_estate_mortgage_cancel(Guiji_City_Real_Estate9_mortgage_cancel_Bean bean);
    
    public void add_guiji_real_estate_unseal(Guiji_City_Real_Estate10_estate_unseal_Bean bean);
    public void update_guiji_real_estate_unseal(Guiji_City_Real_Estate10_estate_unseal_Bean bean);
    
    public void add_guiji_real_estate_pre_order_cancel_notice(Guiji_City_Real_Estate11_pre_order_cancel_notice_Bean bean);
    public void update_guiji_real_estate_pre_order_cancel_notice(Guiji_City_Real_Estate11_pre_order_cancel_notice_Bean bean);
    
    public void add_guiji_real_estate_pre_order_cancel_mortgage(Guiji_City_Real_Estate12_pre_order_cancel_mortgage_Bean bean);
    public void update_guiji_real_estate_pre_order_cancel_mortgage(Guiji_City_Real_Estate12_pre_order_cancel_mortgage_Bean bean);

    public void add_guiji_real_estate_file_additional(Guiji_City_Real_Estate13_file_additional_Bean bean);
    public void update_guiji_real_estate_file_additional(Guiji_City_Real_Estate13_file_additional_Bean bean);

    public void add_guiji_real_estate_pre_sale(Guiji_City_Real_Estate14_pre_sale_Bean bean);
    public void update_guiji_real_estate_pre_sale(Guiji_City_Real_Estate14_pre_sale_Bean bean);
    
    public void add_guiji_real_estate_pre_sale_change(Guiji_City_Real_Estate15_pre_sale_change_Bean bean);
    public void update_guiji_real_estate_pre_sale_change(Guiji_City_Real_Estate15_pre_sale_change_Bean bean);
    
    public void add_guiji_real_estate_on_sale(Guiji_City_Real_Estate16_on_sale_Bean bean);
    public void update_guiji_real_estate_on_sale(Guiji_City_Real_Estate16_on_sale_Bean bean);

    public void add_guiji_real_estate_on_sale_change(Guiji_City_Real_Estate17_on_sale_change_Bean bean);
    public void update_guiji_real_estate_on_sale_change(Guiji_City_Real_Estate17_on_sale_change_Bean bean);
    
    public void add_guiji_real_estate_pre_to_on(Guiji_City_Real_Estate18_pre_to_on_Bean bean);
    public void update_guiji_real_estate_pre_to_on(Guiji_City_Real_Estate18_pre_to_on_Bean bean);
    
    public void add_guiji_real_estate_pre_sale_record(Guiji_City_Real_Estate19_pre_sale_record_Bean bean);
    public void update_guiji_real_estate_pre_sale_record(Guiji_City_Real_Estate19_pre_sale_record_Bean bean);
    
    public void add_guiji_real_estate_pre_sale_record_change(Guiji_City_Real_Estate20_pre_sale_record_change_Bean bean);
    public void update_guiji_real_estate_pre_sale_record_change(Guiji_City_Real_Estate20_pre_sale_record_change_Bean bean);
    
    public void add_guiji_real_estate_on_sale_record(Guiji_City_Real_Estate21_on_sale_record_Bean bean);
    public void update_guiji_real_estate_on_sale_record(Guiji_City_Real_Estate21_on_sale_record_Bean bean);
    
    public void add_guiji_real_estate_on_sale_record_change(Guiji_City_Real_Estate22_on_sale_record_change_Bean bean);
    public void update_guiji_real_estate_on_sale_record_change(Guiji_City_Real_Estate22_on_sale_record_change_Bean bean);
    
    public void add_guiji_real_estate_pre_sale_additional(Guiji_City_Real_Estate23_pre_sale_additional_Bean bean);
    public void update_guiji_real_estate_pre_sale_additional(Guiji_City_Real_Estate23_pre_sale_additional_Bean bean);
    
    public void add_guiji_real_estate_record_additional(Guiji_City_Real_Estate24_record_additional_Bean bean);
    public void update_guiji_real_estate_record_additional(Guiji_City_Real_Estate24_record_additional_Bean bean);
    
    public void add_guiji_real_estate_contract_check_out(Guiji_City_Real_Estate25_contract_check_out_Bean bean);
    public void update_guiji_real_estate_contract_check_out(Guiji_City_Real_Estate25_contract_check_out_Bean bean);

}
