package com.sooka.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.sooka.model.bo.Guiji_library_baseinfo_Bean;
import com.sooka.model.bo.Guiji_library_borrow_Bean;
import com.sooka.model.bo.Guiji_library_creditpoints_Bean;
import com.sooka.model.bo.Guiji_library_give_Bean;
import com.sooka.utils.MyMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
@DS("db2")
public interface Guiji_Library_Mapper2 extends MyMapper<Guiji_library_baseinfo_Bean> {

    public void add_guiji_library_baseinfo(Guiji_library_baseinfo_Bean baseinfo_bean);

    public void update_guiji_library_baseinfo(Guiji_library_baseinfo_Bean baseinfo_bean);




    public void add_guiji_library_borrow(Guiji_library_borrow_Bean bean);

    public void update_guiji_library_borrow(Guiji_library_borrow_Bean baseinfo_bean);




    public void add_guiji_library_give(Guiji_library_give_Bean bean);

    public void update_guiji_library_give(Guiji_library_give_Bean baseinfo_bean);




    public void add_guiji_library_creditpoints(Guiji_library_creditpoints_Bean bean);
    public void update_guiji_library_creditpoints(Guiji_library_creditpoints_Bean baseinfo_bean);


    public List select_guiji_library_baseinfo(Guiji_library_baseinfo_Bean baseinfo_bean);
    public List select_guiji_library_borrow(Guiji_library_borrow_Bean baseinfo_bean);
    public List select_guiji_library_give(Guiji_library_give_Bean baseinfo_bean);
    public List select_guiji_library_creditpoints(Guiji_library_creditpoints_Bean baseinfo_bean);

}
