package com.sooka.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseApi;
import com.sooka.base.BaseGuijiBean;
import com.sooka.base.BaseService;
import com.sooka.mapper.*;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.*;
import com.sooka.service.Guiji_Gjj_Service;
import com.sooka.utils.HttpUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class Guiji_Gjj_ServiceImpl extends BaseService implements Guiji_Gjj_Service {

    @Resource
    TgjjBsxxMapper tgjjBsxxMapper;
    @Resource
    TgjjBsxxMapper2 tgjjBsxxMapper2;
    @Resource
    TgjjDbxxMapper tgjjDbxxMapper;
    @Resource
    TgjjDbxxMapper2 tgjjDbxxMapper2;
    @Resource
    TgjjDkxxMapper tgjjDkxxMapper;
    @Resource
    TgjjDkxxMapper2 tgjjDkxxMapper2;
    @Resource
    TgjjDwckzhbdxxMapper tgjjDwckzhbdxxMapper;
    @Resource
    TgjjDwckzhbdxxMapper2 tgjjDwckzhbdxxMapper2;
    @Resource
    TgjjDwxxMapper tgjjDwxxMapper;
    @Resource
    TgjjDwxxMapper2 tgjjDwxxMapper2;
    @Resource
    TgjjDwzhxxMapper tgjjDwzhxxMapper;
    @Resource
    TgjjDwzhxxMapper2 tgjjDwzhxxMapper2;
    @Resource
    TgjjGrckzhbdxxMapper tgjjGrckzhbdxxMapper;
    @Resource
    TgjjGrckzhbdxxMapper2 tgjjGrckzhbdxxMapper2;
    @Resource
    TgjjGrdkyqxxMapper tgjjGrdkyqxxMapper;
    @Resource
    TgjjGrdkyqxxMapper2 tgjjGrdkyqxxMapper2;
    @Resource
    TgjjGrdkzhbdxxMapper tgjjGrdkzhbdxxMapper;
    @Resource
    TgjjGrdkzhbdxxMapper2 tgjjGrdkzhbdxxMapper2;
    @Resource
    TgjjGrdkzhxxMapper tgjjGrdkzhxxMapper;
    @Resource
    TgjjGrdkzhxxMapper2 tgjjGrdkzhxxMapper2;
    @Resource
    TgjjGrxxMapper tgjjGrxxMapper;
    @Resource
    TgjjGrxxMapper2 tgjjGrxxMapper2;
    @Resource
    TgjjGrzhxxMapper tgjjGrzhxxMapper;
    @Resource
    TgjjGrzhxxMapper2 tgjjGrzhxxMapper2;
    @Resource
    TgjjGtjkrxxMapper tgjjGtjkrxxMapper;
    @Resource
    TgjjGtjkrxxMapper2 tgjjGtjkrxxMapper2;
    @Resource
    TgjjHmdxxMapper tgjjHmdxxMapper;
    @Resource
    TgjjHmdxxMapper2 tgjjHmdxxMapper2;
    @Resource
    TgjjKjhzbMapper tgjjKjhzbMapper;
    @Resource
    TgjjKjhzbMapper2 tgjjKjhzbMapper2;
    @Resource
    TgjjZcxxMapper tgjjZcxxMapper;
    @Resource
    TgjjZcxxMapper2 tgjjZcxxMapper2;

    SimpleDateFormat f = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
    SimpleDateFormat f2 = new SimpleDateFormat("yyyyMMdd");

    public Long make_cd_operation(TgjjBaseBean t) {
        Date d = new Date();
        t.setCd_time(f.format(d));
        t.setCd_batch(f2.format(d) + "00001");
        if (t.getCLLX() == 1) {
            t.setCd_operation("I");
        } else {
            if (t.getCLLX() == 2) {
                t.setCd_operation("U");
            } else if (t.getCLLX() == 3) {
                t.setCd_operation("D");
            }
        }
        return t.getCLLX();
    }


    @Override
    public void data_schedu(String begin_time, String end_time) {

        //1
        try {
            TgjjBsxx tgjjBsxx = new TgjjBsxx();
            tgjjBsxx.setSearch_begintime(begin_time);
            tgjjBsxx.setSearch_endtime(end_time);
            List<TgjjBsxx> ls_tgjjBsxx = tgjjBsxxMapper.selectTgjjBsxxList(tgjjBsxx);
            System.out.println(begin_time + "  " + end_time + "=========bsxx======" + ls_tgjjBsxx.size());
            for (int i = 0; i < ls_tgjjBsxx.size(); i++) {
                TgjjBsxx t = ls_tgjjBsxx.get(i);
                System.out.println(t.getLastUpdateTime() + "===========" + i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjBsxxMapper2.insertTgjjBsxx(t);
                } else {
                    tgjjBsxxMapper2.updateTgjjBsxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }


//2
        try {
            TgjjDbxx tgjjDbxx = new TgjjDbxx();
            tgjjDbxx.setSearch_begintime(begin_time);
            tgjjDbxx.setSearch_endtime(end_time);
            List<TgjjDbxx> ls_tgjjDbxx = tgjjDbxxMapper.selectTgjjDbxxList(tgjjDbxx);
            for (int i = 0; i < ls_tgjjDbxx.size(); i++) {
                TgjjDbxx t = ls_tgjjDbxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjDbxxMapper2.insertTgjjDbxx(t);
                } else {
                    tgjjDbxxMapper2.updateTgjjDbxx(t);
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//3
        try {
            TgjjDkxx tgjjDkxx = new TgjjDkxx();
            tgjjDkxx.setSearch_begintime(begin_time);
            tgjjDkxx.setSearch_endtime(end_time);
            List<TgjjDkxx> ls_tgjjDkxx = tgjjDkxxMapper.selectTgjjDkxxList(tgjjDkxx);
            for (int i = 0; i < ls_tgjjDkxx.size(); i++) {
                TgjjDkxx t = ls_tgjjDkxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjDkxxMapper2.insertTgjjDkxx(t);
                } else {
                    tgjjDkxxMapper2.updateTgjjDkxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

//4
        try {
            TgjjDwckzhbdxx tgjjDwckzhbdxx = new TgjjDwckzhbdxx();
            tgjjDwckzhbdxx.setSearch_begintime(begin_time);
            tgjjDwckzhbdxx.setSearch_endtime(end_time);
            List<TgjjDwckzhbdxx> ls_tgjjDwckzhbdxx = tgjjDwckzhbdxxMapper.selectTgjjDwckzhbdxxList(tgjjDwckzhbdxx);
            for (int i = 0; i < ls_tgjjDwckzhbdxx.size(); i++) {
                TgjjDwckzhbdxx t = ls_tgjjDwckzhbdxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjDwckzhbdxxMapper2.insertTgjjDwckzhbdxx(t);
                } else {
                    tgjjDwckzhbdxxMapper2.updateTgjjDwckzhbdxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

//5
        try {
            TgjjDwxx tgjjDwxx = new TgjjDwxx();
            tgjjDwxx.setSearch_begintime(begin_time);
            tgjjDwxx.setSearch_endtime(end_time);
            List<TgjjDwxx> ls_tgjjDwxx = tgjjDwxxMapper.selectTgjjDwxxList(tgjjDwxx);
            for (int i = 0; i < ls_tgjjDwxx.size(); i++) {
                TgjjDwxx t = ls_tgjjDwxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjDwxxMapper2.insertTgjjDwxx(t);
                } else {
                    tgjjDwxxMapper2.updateTgjjDwxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

//6
        try {
            TgjjDwzhxx dwzhxx = new TgjjDwzhxx();
            dwzhxx.setSearch_begintime(begin_time);
            dwzhxx.setSearch_endtime(end_time);
            List<TgjjDwzhxx> ls_dwzhxx = tgjjDwzhxxMapper.selectTgjjDwzhxxList(dwzhxx);
            for (int i = 0; i < ls_dwzhxx.size(); i++) {
                TgjjDwzhxx t = ls_dwzhxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjDwzhxxMapper2.insertTgjjDwzhxx(t);
                } else {
                    tgjjDwzhxxMapper2.updateTgjjDwzhxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//7
        try {
            TgjjGrckzhbdxx tgjjGrckzhbdxx = new TgjjGrckzhbdxx();
            tgjjGrckzhbdxx.setSearch_begintime(begin_time);
            tgjjGrckzhbdxx.setSearch_endtime(end_time);
            List<TgjjGrckzhbdxx> ls_tgjjGrckzhbdxx = tgjjGrckzhbdxxMapper.selectTgjjGrckzhbdxxList(tgjjGrckzhbdxx);
            for (int i = 0; i < ls_tgjjGrckzhbdxx.size(); i++) {
                TgjjGrckzhbdxx t = ls_tgjjGrckzhbdxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjGrckzhbdxxMapper2.insertTgjjGrckzhbdxx(t);
                } else {
                    tgjjGrckzhbdxxMapper2.updateTgjjGrckzhbdxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//
//8
        try {
            TgjjGrdkyqxx tgjjGrdkyqxx = new TgjjGrdkyqxx();
            tgjjGrdkyqxx.setSearch_begintime(begin_time);
            tgjjGrdkyqxx.setSearch_endtime(end_time);
            List<TgjjGrdkyqxx> ls_tgjjGrdkyqxx = tgjjGrdkyqxxMapper.selectTgjjGrdkyqxxList(tgjjGrdkyqxx);
            for (int i = 0; i < ls_tgjjGrdkyqxx.size(); i++) {
                TgjjGrdkyqxx t = ls_tgjjGrdkyqxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjGrdkyqxxMapper2.insertTgjjGrdkyqxx(t);
                } else {
                    tgjjGrdkyqxxMapper2.updateTgjjGrdkyqxx(t);
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//9
        try {
            TgjjGrdkzhbdxx tgjjGrdkzhbdxx = new TgjjGrdkzhbdxx();
            tgjjGrdkzhbdxx.setSearch_begintime(begin_time);
            tgjjGrdkzhbdxx.setSearch_begintime(end_time);
            List<TgjjGrdkzhbdxx> ls_tgjjGrdkzhbdxx = tgjjGrdkzhbdxxMapper.selectTgjjGrdkzhbdxxList(tgjjGrdkzhbdxx);
            for (int i = 0; i < ls_tgjjGrdkzhbdxx.size(); i++) {
                TgjjGrdkzhbdxx t = ls_tgjjGrdkzhbdxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjGrdkzhbdxxMapper2.insertTgjjGrdkzhbdxx(t);
                } else {
                    tgjjGrdkzhbdxxMapper2.updateTgjjGrdkzhbdxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//10
        try {
            TgjjGrdkzhxx tgjjGrdkzhxx = new TgjjGrdkzhxx();
            tgjjGrdkzhxx.setSearch_begintime(begin_time);
            tgjjGrdkzhxx.setSearch_begintime(end_time);
            List<TgjjGrdkzhxx> ls_tgjjGrdkzhxx = tgjjGrdkzhxxMapper.selectTgjjGrdkzhxxList(tgjjGrdkzhxx);
            for (int i = 0; i < ls_tgjjGrdkzhxx.size(); i++) {
                TgjjGrdkzhxx t = ls_tgjjGrdkzhxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjGrdkzhxxMapper2.insertTgjjGrdkzhxx(t);
                } else {
                    tgjjGrdkzhxxMapper2.updateTgjjGrdkzhxx(t);
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//11
        try {
            TgjjGrxx tgjjGrxx = new TgjjGrxx();
            tgjjGrxx.setSearch_begintime(begin_time);
            tgjjGrxx.setSearch_begintime(end_time);
            List<TgjjGrxx> ls_tgjjGrxx = tgjjGrxxMapper.selectTgjjGrxxList(tgjjGrxx);
            for (int i = 0; i < ls_tgjjGrxx.size(); i++) {
                TgjjGrxx t = ls_tgjjGrxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjGrxxMapper2.insertTgjjGrxx(t);
                } else {
                    tgjjGrxxMapper2.updateTgjjGrxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//12
        try {
            TgjjGrzhxx tgjjGrzhxx = new TgjjGrzhxx();
            tgjjGrzhxx.setSearch_begintime(begin_time);
            tgjjGrzhxx.setSearch_begintime(end_time);
            List<TgjjGrzhxx> ls_tgjjGrzhxx = tgjjGrzhxxMapper.selectTgjjGrzhxxList(tgjjGrzhxx);
            for (int i = 0; i < ls_tgjjGrzhxx.size(); i++) {
                TgjjGrzhxx t = ls_tgjjGrzhxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjGrzhxxMapper2.insertTgjjGrzhxx(t);
                } else {
                    tgjjGrzhxxMapper2.updateTgjjGrzhxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//13
        try {
            TgjjGtjkrxx tgjjGtjkrxx = new TgjjGtjkrxx();
            tgjjGtjkrxx.setSearch_begintime(begin_time);
            tgjjGtjkrxx.setSearch_begintime(end_time);
            List<TgjjGtjkrxx> ls_tgjjGtjkrxx = tgjjGtjkrxxMapper.selectTgjjGtjkrxxList(tgjjGtjkrxx);
            for (int i = 0; i < ls_tgjjGtjkrxx.size(); i++) {
                TgjjGtjkrxx t = ls_tgjjGtjkrxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjGtjkrxxMapper2.insertTgjjGtjkrxx(t);
                } else {
                    tgjjGtjkrxxMapper2.updateTgjjGtjkrxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//14
        try {
            TgjjHmdxx tgjjHmdxx = new TgjjHmdxx();
            tgjjHmdxx.setSearch_begintime(begin_time);
            tgjjHmdxx.setSearch_begintime(end_time);
            List<TgjjHmdxx> ls_tgjjHmdxx = tgjjHmdxxMapper.selectTgjjHmdxxList(tgjjHmdxx);
            for (int i = 0; i < ls_tgjjHmdxx.size(); i++) {
                TgjjHmdxx t = ls_tgjjHmdxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjHmdxxMapper2.insertTgjjHmdxx(t);
                } else {
                    tgjjHmdxxMapper2.updateTgjjHmdxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//15
        try {
            TgjjKjhzb tgjjKjhzb = new TgjjKjhzb();
            tgjjKjhzb.setSearch_begintime(begin_time);
            tgjjKjhzb.setSearch_endtime(end_time);
            List<TgjjKjhzb> ls_tgjjKjhzb = tgjjKjhzbMapper.selectTgjjKjhzbList(tgjjKjhzb);
            for (int i = 0; i < ls_tgjjKjhzb.size(); i++) {
                TgjjKjhzb t = ls_tgjjKjhzb.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjKjhzbMapper2.insertTgjjKjhzb(t);
                } else {
                    tgjjKjhzbMapper2.updateTgjjKjhzb(t);
                }

            }
        } catch (Exception e) {
            e.printStackTrace();
        }
//
//
//
//16
        try {
            TgjjZcxx tgjjZcxx = new TgjjZcxx();
            tgjjZcxx.setSearch_begintime(begin_time);
            tgjjZcxx.setSearch_endtime(end_time);
            List<TgjjZcxx> ls_tgjjZcxx = tgjjZcxxMapper.selectTgjjZcxxList(tgjjZcxx);
            for (int i = 0; i < ls_tgjjZcxx.size(); i++) {
                TgjjZcxx t = ls_tgjjZcxx.get(i);
                make_cd_operation(t);
                if (t.getCLLX() == 1) {
                    tgjjZcxxMapper2.insertTgjjZcxx(t);
                } else {
                    tgjjZcxxMapper2.updateTgjjZcxx(t);
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        System.out.println("*******");

    }

    //--------------------------------------------------------------------------
    @Override
    public ResultModel selectTgjjGrxxList_select_grxx(TgjjGrxx tgjjGrxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "42053992-ea1e-423d-90b8-5957f9127dce");
        log.put("interfaceinfoName", "共享（市）-市公积金-个人信息");
        try {
            if (tgjjGrxx.getGRZH() == null && tgjjGrxx.getXINGMING() == null && tgjjGrxx.getZJHM() == null) {
                r.setCode(99999);
                r.setMessage("个人账号、姓名、证件号码"+check_one_required);
            } else {
                List ls = tgjjGrxxMapper2.selectTgjjGrxxList_select_grxx(tgjjGrxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjGrxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjGrzhxxList_select_grzhxx(TgjjGrzhxx tgjjGrzhxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "e574b78b-ce96-483a-9ad8-d2ccbaabff1e");
        log.put("interfaceinfoName", "共享（市）-市公积金-个人账户信息");
        try {
            if (tgjjGrzhxx.getGRZH() == null && tgjjGrzhxx.getDWZH() == null) {
                r.setCode(99999);
                r.setMessage("个人账号、单位账号不能同时为空");
            }
            List ls = tgjjGrzhxxMapper2.selectTgjjGrzhxxList_select_grzhxx(tgjjGrzhxx);
            r.setData(ls);
            r.setCode(00000);
            r.setMessage("成功");
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjGrzhxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjDkxxList_select_grdkxx(TgjjDkxx tgjjDkxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "e574b78b-ce96-483a-9ad8-d2ccbaabff1e tgjj_dkxx");
        log.put("interfaceinfoName", "共享（市）-市公积金-不知道这是什么信息tgjj_dkxx");
        try {
            if (tgjjDkxx.getJKRXM() == null || tgjjDkxx.getJKRZJH() == null) {
                r.setCode(99999);
                r.setMessage("借款人姓名、借款人证件号"+check_required);
            } else {
                List ls = tgjjDkxxMapper2.selectTgjjDkxxList_select_grdkxx(tgjjDkxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjDkxx.toString());
            log.put("results", r);
//            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjGrdkzhxxList_select_grdkzhxx(TgjjGrdkzhxx tgjjGrdkzhxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "38576200-6b2e-4931-a724-6acdbe96f891");
        log.put("interfaceinfoName", "共享（市）-市公积金-个人贷款账户信息");
        try {
            if (tgjjGrdkzhxx.getDKZH() == null) {
                r.setCode(99999);
                r.setMessage("贷款账号"+check_required);
            } else {
                List ls = tgjjGrdkzhxxMapper2.selectTgjjGrdkzhxxList_select_grdkzhxx(tgjjGrdkzhxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjGrdkzhxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjGrdkzhbdxxList_select_grdkbdxx(TgjjGrdkzhbdxx tgjjGrdkzhbdxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "b4af4189-20b6-4e13-8fc6-ae307b9e3ea4");
        log.put("interfaceinfoName", "共享（市）-市公积金-个人贷款变动信息");
        try {
            if (tgjjGrdkzhbdxx.getDKZH() == null) {
                r.setCode(99999);
                r.setMessage("贷款账号"+check_required);
            } else {
                List ls = tgjjGrdkzhbdxxMapper2.selectTgjjGrdkzhbdxxList_select_grdkbdxx(tgjjGrdkzhbdxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjGrdkzhbdxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjGrdkyqxxList_select_grdkyqfw(TgjjGrdkyqxx tgjjGrdkyqxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "4531b271-188d-4114-90da-1c3654686456");
        log.put("interfaceinfoName", "共享（市）-市公积金-个人贷款逾期信息");
        try {
            if (tgjjGrdkyqxx.getDKZH() == null) {
                r.setCode(99999);
                r.setMessage("贷款账号"+check_required);
            } else {
                List ls = tgjjGrdkyqxxMapper2.selectTgjjGrdkyqxxList_select_grdkyqfw(tgjjGrdkyqxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjGrdkyqxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjGrckzhbdxxList_select_grckbdfw(TgjjGrckzhbdxx tgjjGrckzhbdxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "46915476-ff79-497f-9238-713ee2d2bb4b");
        log.put("interfaceinfoName", "共享（市）-市公积金-个人存款变动信息");
        try {
            if (tgjjGrckzhbdxx.getGRZH() == null) {
                r.setCode(99999);
                r.setMessage("个人账号"+check_required);
            } else {
                List ls = tgjjGrckzhbdxxMapper2.selectTgjjGrckzhbdxxList(tgjjGrckzhbdxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjGrckzhbdxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjDwxxList_select_dwxx(TgjjDwxx tgjjDwxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "cb80a8e2-b65a-4ebb-82b3-c5257142397b");
        log.put("interfaceinfoName", "共享（市）-市公积金-单位信息");
        try {
            if (tgjjDwxx.getDWMC() == null && tgjjDwxx.getDWZH() == null) {
                r.setCode(99999);
                r.setMessage("单位名称、单位账号"+check_one_required);
            } else {
                List ls = tgjjDwxxMapper2.selectTgjjDwxxList_select_dwxx(tgjjDwxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjDwxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjDwzhxxList_select_dwzhxx(TgjjDwzhxx tgjjDwzhxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "a80c4499-3ad6-4fbf-a7a3-d4b355a6d1f0");
        log.put("interfaceinfoName", "共享（市）-市公积金-个人贷款信息");
        try {
            if (tgjjDwzhxx.getDWZH() == null) {
                r.setCode(99999);
                r.setMessage("单位账号"+check_required);
            } else {
                List ls = tgjjDwzhxxMapper2.selectTgjjDwzhxxList_select_dwzhxx(tgjjDwzhxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjDwzhxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjDwckzhbdxxList_select_dwckbd(TgjjDwckzhbdxx tgjjDwckzhbdxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "4dbb8614-5347-4246-9517-5a584d7a0da5");
        log.put("interfaceinfoName", "共享（市）-市公积金-单位存款变动信息");
        try {
            if (tgjjDwckzhbdxx.getDWZH() == null || tgjjDwckzhbdxx.getZXBH() == null) {
                r.setCode(99999);
                r.setMessage("单位账号、中心编号"+check_required);
            } else {
                List ls = tgjjDwckzhbdxxMapper2.selectTgjjDwckzhbdxxList_select_dwckbd(tgjjDwckzhbdxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjDwckzhbdxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjBsxxList_select_bsxx(TgjjBsxx tgjjBsxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "c7d73e8a-4f1d-4d83-bccd-a22e6247119b");
        log.put("interfaceinfoName", "共享（市）-市公积金-报税信息");
        try {
            if (tgjjBsxx.getJKRXM() == null || tgjjBsxx.getJKRZJH() == null) {
                r.setCode(99999);
                r.setMessage("借款人姓名、借款人证件号"+check_required);
            } else {
                List ls = tgjjBsxxMapper2.selectTgjjBsxxList_select_bsxx(tgjjBsxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjBsxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjHmdxxList_select_hmdxx(TgjjHmdxx tgjjHmdxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "3cc86e76-a980-483a-87f1-4b11dda132b8");
        log.put("interfaceinfoName", "共享（市）-市公积金-黑名单信息");
        try {
            if (tgjjHmdxx.getXINGMING() == null) {
                r.setCode(99999);
                r.setMessage("姓名"+check_required);
            } else {
                List ls = tgjjHmdxxMapper2.selectTgjjHmdxxList_select_hmdxx(tgjjHmdxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjHmdxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjZcxxList_select_zcxx(TgjjZcxx tgjjZcxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "2e08555a-bfb4-404f-abd4-9031e5998b8f");
        log.put("interfaceinfoName", "共享（市）-市公积金-政策信息");
        try {
            if (tgjjZcxx.getZXBH() == null) {
                r.setCode(99999);
                r.setMessage("中心编号"+check_required);
            } else {
                List ls = tgjjZcxxMapper2.selectTgjjZcxxList_select_zcxx(tgjjZcxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }

        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjZcxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }

    @Override
    public ResultModel selectTgjjGtjkrxxList_select_gtjkrxx(TgjjGtjkrxx tgjjGtjkrxx) {
        ResultModel r = getResultModel();
        Map log = new HashMap();
        log.put("operationStatus", "1");
        log.put("platformInterfacetype", "platform_interfacetype_1");//1 共享 2归集
        log.put("interfaceinfoId", "721f43b9-9b5a-44e6-9e93-a652bcfaf195");
        log.put("interfaceinfoName", "共享（市）-市公积金-共同借款人信息");
        try {
            if (tgjjGtjkrxx.getJKHTBH() == null || tgjjGtjkrxx.getGTJKRXM() == null) {
                r.setCode(99999);
                r.setMessage("借款合同编号、共同借款人姓名"+check_required);
            } else {
                List ls = tgjjGtjkrxxMapper2.selectTgjjGtjkrxxList_select_gtjkrxx(tgjjGtjkrxx);
                r.setData(ls);
                r.setCode(00000);
                r.setMessage("成功");
            }
        } catch (Exception e) {
            e.printStackTrace();
            r.setCode(99999);
            r.setMessage("失败");
            log.put("operationStatus", "0");
            log.put("exceptionLog", e);
        }finally {
            log.put("param", tgjjGtjkrxx.toString());
            log.put("results", r);
            HttpUtil.doPost(BaseApi.manager_url + "/system/interfaceLog/addLog", JSONObject.toJSONString(log), null);
        }
        return r;
    }
}
