package com.sooka.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.sooka.base.BaseService;
import com.sooka.mapper.Guiji_civiladministration_Mapper;
import com.sooka.mapper.Guiji_civiladministration_Mapper2;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.Guiji_civiladministration_szxxsj_Bean;
import com.sooka.model.bo.Guiji_healthcommission_tjxx_Bean;
import com.sooka.network.http.HttpRequest;
import com.sooka.service.Guiji_civiladministration_Service;
import org.bouncycastle.util.encoders.Base64;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class Guiji_civiladministration_ServiceImpl extends BaseService implements Guiji_civiladministration_Service {

    @Resource
    Guiji_civiladministration_Mapper guiji_civiladministration_mapper;
    @Resource
    Guiji_civiladministration_Mapper2 guiji_civiladministration_mapper2;


    //逝者信息数据
    @Override
    public ResultModel add_guiji_civiladministration_szxxsj(String str) {
        ResultModel r = getResultModel();
        try {
            Guiji_civiladministration_szxxsj_Bean bean = new Guiji_civiladministration_szxxsj_Bean();
            initBaseGuijiBean(str, bean);
            JSONObject Data = bean.getData();

            bean.setDNAME(new String(Base64.decode(Data.getString("DNAME")),"UTF-8"));
            bean.setDSFZH(new String(Base64.decode(Data.getString("DSFZH")),"UTF-8"));
            bean.setDSEX(new String (Base64.decode(Data.getString("DSEX")),"UTF-8"));
            bean.setDMZ(new String (Base64.decode(Data.getString("DMZ")),"UTF-8"));
            bean.setDAGE(Data.getString("DAGE"));
            bean.setBIRTH(Data.getString("BIRTH"));
            bean.setDHJLY(new String (Base64.decode(Data.getString("DHJLY")),"UTF-8"));
            bean.setDXZQH(new String (Base64.decode(Data.getString("DXZQH")),"UTF-8"));
            bean.setADDRESS(new String (Base64.decode(Data.getString("ADDRESS")),"UTF-8"));
            bean.setDTIME(Data.getString("DTIME"));
            bean.setDREASON(new String (Base64.decode(Data.getString("DREASON")),"UTF-8"));
            bean.setDADDRESS(new String (Base64.decode(Data.getString("DADDRESS")),"UTF-8"));
            bean.setHHSJ(Data.getString("HHSJ"));
            bean.setRELATIONSHIP(new String (Base64.decode(Data.getString("RELATIONSHIP")),"UTF-8"));
            bean.setLINKMAN(new String (Base64.decode(Data.getString("LINKMAN")),"UTF-8"));
            bean.setLINKMANPHONE(new String (Base64.decode(Data.getString("LINKMANPHONE")),"UTF-8"));
            bean.setLINKMANADDRESS(new String (Base64.decode(Data.getString("LINKMANADDRESS")),"UTF-8"));
            bean.setOPERTM(Data.getString("OPERTM"));
            bean.setOPERID(new String (Base64.decode(Data.getString("OPERID")),"UTF-8"));
            bean.setOPERDW(new String (Base64.decode(Data.getString("OPERDW")),"UTF-8"));



            if (bean.getCd_operation().equals("I")) {
                guiji_civiladministration_mapper.add_guiji_civiladministration_szxxsj(bean);
                guiji_civiladministration_mapper2.add_guiji_civiladministration_szxxsj(bean);
            } else {
                guiji_civiladministration_mapper.update_guiji_civiladministration_szxxsj(bean);
                guiji_civiladministration_mapper2.update_guiji_civiladministration_szxxsj(bean);
            }

            r.setCode(0);
            r.setMessage("成功");
        }catch (Exception e){
            r.setCode(99999);
            r.setMessage("失败");
            e.printStackTrace();
        }
        return r;
    }

    public void recodeLog(String interface_id, HttpRequest request){

    }
}
