package com.sooka.service.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.PeoplemarryInfodouble_Bean;
import com.sooka.model.bo.PeoplemarryInfosingle_Bean;
import com.sooka.model.vo.PeoplemarryInfodouble_VO;
import com.sooka.model.vo.PeoplemarryInfosingle_VO;
import com.sooka.service.PeoplemarryInfodouble_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class PeoplemarryInfodouble_ServiceImpl extends ABaseService implements PeoplemarryInfodouble_Service {


    @Override
    public ResultModel getPeoplemarryInfodouble(PeoplemarryInfodouble_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"certNumberMan\":\"" + vo.getCertNumberMan() + "\"," +
                "\"nameMan\":\"" + vo.getNameMan() + "\"," +
                "\"certNumberWoman\":\"" + vo.getCertNumberWoman() + "\"," +
                "\"nameWoman\":\"" + vo.getNameWoman() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        PeoplemarryInfodouble_Bean bean = new PeoplemarryInfodouble_Bean();
        try {
            result = HttpUtil2.doPost("https://gateway.zsj.jl.cegn.cn/v1/apigw/iam/cmca/get/peoplemarryInfodouble", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                bean.setCode(code);
                bean.setMessage(message);
                String data = jsonObject.getString("data");
                JSONObject data_obj = JSON.parseObject(data);
                String r = data_obj.getString("result");
                bean.setResult(r);


            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }


    public static void main(String[] args) {
        PeoplemarryInfodouble_ServiceImpl s = new PeoplemarryInfodouble_ServiceImpl();
        PeoplemarryInfodouble_VO v = new PeoplemarryInfodouble_VO();
        v.setCertNumberMan("220102198606290811");
        v.setNameMan("李鹏");
        v.setCertNumberWoman("222424198808305520");
        v.setNameWoman("李艳红");
        ResultModel r = s.getPeoplemarryInfodouble(v);
        System.out.println(r);
    }


}
