package com.sooka.service.impl;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.sooka.model.ResultModel;
import com.sooka.model.bo.PeoplemarryInfosingle_Bean;
import com.sooka.model.vo.PeoplemarryInfosingle_VO;
import com.sooka.service.PeoplemarryInfosingle_Service;
import com.sooka.utils.HttpUtil2;
import com.sooka.utils.TokenUtil;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

@Service
public class PeoplemarryInfosingle_ServiceImpl extends ABaseService implements PeoplemarryInfosingle_Service {


    @Override
    public ResultModel getPeoplemarryInfosingle(PeoplemarryInfosingle_VO vo) {
        initHeader();
        String str = "{\"appId\":\"" + vo.getAppId() + "\"," +
                "\"charset\":\"" + vo.getCharset() + "\"," +
                "\"format\":\"" + vo.getFormat() + "\"," +
                "\"certNumberMan\":\"" + vo.getCertNumberMan() + "\"," +
                "\"nameMan\":\"" + vo.getNameMan() + "\"," +
                "\"timestamp\":\"" + vo.getTimestamp() + "\"," +
                "\"version\":\"" + vo.getTimestamp() + "\"" +
                "}";
        String result = "";
        PeoplemarryInfosingle_Bean bean = new PeoplemarryInfosingle_Bean();

        try {
            result = HttpUtil2.doPost(baseurl + "/v1/apigw/iam/cmca/get/peoplemarryInfosingle", str, header);
            System.out.println(result);
            if (result != null) {
                JSONObject jsonObject = JSONObject.parseObject(result);
                String code = jsonObject.getString("code");
                String message = jsonObject.getString("message");
                String data = jsonObject.getString("data");
                JSONObject data_obj = JSON.parseObject(data);
                String r = data_obj.getString("result");
                bean.setCode(code);
                bean.setMessage(message);
                bean.setResult(r);

            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return ResultModel.ok(bean);
    }

    public static void main(String[] args) {
        PeoplemarryInfosingle_ServiceImpl s = new PeoplemarryInfosingle_ServiceImpl();
        PeoplemarryInfosingle_VO v = new PeoplemarryInfosingle_VO();
        v.setCertNumberMan("230811198805284621");
        v.setNameMan("李明泽");
        ResultModel r = s.getPeoplemarryInfosingle(v);
        System.out.println(r);
    }
}
